<div [formGroup]="cartForm">
    <div formArrayName="products">
        @for(product of cartForm.controls.products.controls; track $index) {
            <label>{{ products[$index].title }}</label>
            <input [formControlName]="$index" />
        }
    </div>
</div>
